class Notifier:
    _debug = False
#    colors = {
#        "reset"     : "\x1b[0m",
#        "bold"      : "\x1b[01m",
#        "teal"      : "\x1b[36;06m",
#        "turquoise" : "\x1b[36;01m",
#        "fucsia"    : "\x1b[35;01m",
#        "purple"    : "\x1b[35;06m",
#        "blue"      : "\x1b[34;01m",
#        "darkblue"  : "\x1b[34;06m",
#        "green"     : "\x1b[32;01m",
#        "darkgreen" : "\x1b[32;06m",
#        "yellow"    : "\x1b[33;01m",
#        "brown"     : "\x1b[33;06m",
#        "red"       : "\x1b[31;01m",
#        "darkred"   : "\x1b[31;06m"
#    }

    def set_debug(self, debug):
        self._debug = debug

    def debug(self, message): #blue
        if self._debug:
            print '\x1b[34;01m[DEBUG]\x1b[0m', message

    def info(self, message, notify=False): #bold
        print '\x1b[01m[INFO]\x1b[0m', message
        if notify:
            self.notify(message)

    def warning(self, message, notify=False): #red
        print '\x1b[31;01m[WARNING]\x1b[0m', message
        if notify:
            self.notify(message)

    def error(self, message, notify=False): #darkred
        print '\x1b[31;06m[ERROR]\x1b[0m', message
        if notify:
            self.notify(message)

    def notify(self, message):
        os.system('notify-send --icon=covergloobus CoverGloobus "' + message + '"')
